Package org.eclipse.wst.xsl.ui.internal.editor

## org.eclipse.wst.xsl.ui.internal.editor
Class XSLHyperlinkDetector

    public class XSLHyperlinkDetector
    extends AbstractHyperlinkDetector

A hyperlink detector for XSL files. The detector makes use of the model built by SSE validation (found in `XSLCore`). Currently supports hyperlinking for includes, imports or called templates.

## Constructor Summary

`XSLHyperlinkDetector()`

## Method Summary

`public IHyperlink[]` | `detectHyperlinks(ITextViewer textViewer , IRegion region , boolean canShowMultipleHyperlinks)` Try to create hyperlinks for viewer and region
`public IHyperlink[]` | `detectHyperlinks(IDocument document , IRegion region , boolean canShowMultipleHyperlinks)` Try to create hyperlinks for document and region

## Constructor Detail

## XSLHyperlinkDetector

`public XSLHyperlinkDetector()`

## Methods Detail

## detectHyperlinks

`public IHyperlink[] detectHyperlinks(ITextViewer textViewer , IRegion region , boolean canShowMultipleHyperlinks)`

Try to create hyperlinks for viewer and region

### Parameters

`textViewer`

`region`

`canShowMultipleHyperlinks`

### Returns

`IHyperlink[]` - array of hyperlinks for current region

## detectHyperlinks

`public IHyperlink[] detectHyperlinks(IDocument document , IRegion region , boolean canShowMultipleHyperlinks)`

Try to create hyperlinks for document and region

### Parameters

`document`

`region`

`canShowMultipleHyperlinks`

### Returns

`IHyperlink[]` - array of hyperlinks for current region